package com.dayou.service.workflow;
import com.dayou.entity.WorkFlowLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.WorkLogVO;
import com.dayou.vo.WorkflowLogVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 实例节点流水表 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-10-17
 */
public interface IWorkFlowLogService extends IService<WorkFlowLog> {

        Page<WorkFlowLog> selectPage(Page page,WorkFlowLog workFlowLog);

        WorkFlowLog detail(Long id);

        Boolean add(WorkFlowLog workFlowLog);

    List<WorkflowLogVO> getList(WorkFlowLog workFlowLog);

    WorkFlowLog getRefuse(Long businessId, String businessType);
}
